Main Page | Class List | File List | Class Members | File Members | Related Pages

# uddi2__contact Class Reference

Schema urn:uddi-org:api_v2:"contact". More...

`#include <uddi_v2.h>`

List of all members.

## Public Attributes
std::vector< uddi2__description * > | description
| Vector of uddi2__description* with length 0..unbounded.
char * | personName
| Element reference "urn:uddi-org:api_v2":personName.
std::vector< uddi2__phone * > | phone
| Vector of uddi2__phone* with length 0..unbounded.
std::vector< uddi2__email * > | email
| Vector of uddi2__email* with length 0..unbounded.
std::vector< uddi2__address * > | address
| Vector of uddi2__address* with length 0..unbounded.
char * | useType
| Attribute useType of type xs:string.
soap * | soap
| A handle to the soap struct context that manages this class instance.

## Detailed Description

Schema urn:uddi-org:api_v2:"contact".

## Member Data Documentation

std::vector<uddi2__address* > uddi2__contact::address

| Vector of uddi2__address* with length 0..unbounded.

std::vector<uddi2__description* > uddi2__contact::description

| Vector of uddi2__description* with length 0..unbounded.

std::vector<uddi2__email* > uddi2__contact::email

| Vector of uddi2__email* with length 0..unbounded.

char* uddi2__contact::personName

| Element reference "urn:uddi-org:api_v2":personName. Required element

std::vector<uddi2__phone* > uddi2__contact::phone

| Vector of uddi2__phone* with length 0..unbounded.

struct soap* uddi2__contact::soap

| A handle to the soap struct context that manages this class instance.

char* uddi2__contact::useType

| Attribute useType of type xs:string. Optional attribute

The documentation for this class was generated from the following file:

- /Users/engelen/Projects/gsoap/doc/uddi2/uddi_v2.h